echo off
rem Install file for IntelliCorp's KAPPA library diskette, part 2
rem Change to target device
%2:
rem Enough diskspace? (EL = 16k paras)
%1:check diskspace
if errorlevel 90 goto okdisk
cls
%1:bat setcursor 6,20
%1:bat cecho Unable to Install Kappa Libraries
echo 
echo        The KAPPA libraries require approximately 1.5MB of free disk space.
echo        There does not appear to be sufficient free space on the specified
echo        hard disk.
echo 
goto punt
:okdisk
IF NOT EXIST %1:pkunzip.exe goto getpkunzip
copy %1:pkunzip.exe . > nul
goto doinstall
:getpkunzip
cls
echo Please insert the Libraries diskette in drive %1
pause
IF NOT EXIST %1:pkunzip.exe goto getpkunzip
copy %1:pkunzip.exe . >nul
cls
:gobackdisk
echo Please insert the Utilities diskette in drive %1
pause
IF NOT EXIST %1:clib1.zip goto gobackdisk
:doinstall
cls
echo 
echo 
echo        Installing KAPPA Libraries in the specified directory.
echo 
echo 
echo                     (This takes a few minutes.)
echo 
echo 
pkunzip -o %1:clib1.zip > nul
cd example1
..\pkunzip -o %1:example1.zip >nul
cd ..\example2
..\pkunzip -o %1:example2.zip > nul
cd ..\example3
..\pkunzip -o %1:example3.zip > nul
cd ..\example4
..\pkunzip -o %1:example4.zip > nul
cd ..

IF NOT EXIST %1:clib2.zip goto getclib2
copy %1:clib2.zip . > nul
copy %1:clibutil.zip . > nul
goto :copyclib2
:getclib2
cls
echo Please insert the Libraries diskette in drive %1
pause
IF NOT EXIST %1:clib2.zip goto getclib2
copy %1:clib2.zip . > nul
copy %1:clibutil.zip . > nul
:restore2
cls
echo Please insert the Utilities diskette in drive %1
pause
IF NOT EXIST %1:clib1.zip goto restore2
:copyclib2
pkunzip -o clib2.zip > nul
del clib2.zip
pkunzip -o clibutil.zip > nul
del clibutil.zip

del pkunzip.exe

cls
echo 
echo 
echo                 KAPPA Library installation is now complete.
echo 
echo 
goto end
:punt
%1:bat setcursor 17, 1
echo        If you need more information about this problem or have any
echo        questions about installing the KAPPA library, type:
%1:bat setcursor 20,25
%1:bat cecho  type %1:readme.txt 
%1:bat setcursor 22,1
echo        Or call Intellicorp Customer Support at (415) 965-5700.
%1:bat setcursor 25,1
:end
